<?php
/**
 * RDO Exception class.
 *
 * $Horde: framework/RDO/RDO/Exception.php,v 1.1.2.1 2005/10/18 11:01:23 jan Exp $
 *
 * @package RDO
 */
class RDO_Exception extends Exception {

    protected $message;
    protected $code;

    public function __construct($message = null, $code = null)
    {
        $this->message = $message;
        $this->code = $code;
    }

    public function __toString()
    {
        return "({$this->code}) {$this->message}";
    }

}
